## fwupd 1.2.14

=== meson_options.txt ===
option('daemon', type : 'boolean', value : true, description : 'enable the fwupd daemon')
option('agent', type : 'boolean', value : true, description : 'enable the fwupd agent')
option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
option('firmware-packager', type : 'boolean', value : true, description : 'enable firmware-packager installation')
option('gpg', type : 'boolean', value : true, description : 'enable the GPG verification support')
option('gtkdoc', type : 'boolean', value : true, description : 'enable developer documentation')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('lvfs', type : 'boolean', value : true, description : 'enable LVFS remotes')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('pkcs7', type : 'boolean', value : true, description : 'enable the PKCS7 verification support')
option('plugin_altos', type : 'boolean', value : true, description : 'enable altos support')
option('plugin_amt', type : 'boolean', value : true, description : 'enable Intel AMT support')
option('plugin_dell', type : 'boolean', value : true, description : 'enable Dell-specific support')
option('plugin_dummy', type : 'boolean', value : false, description : 'enable the dummy device')
option('plugin_synaptics', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
option('plugin_thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
option('plugin_redfish', type : 'boolean', value : true, description : 'enable Redfish support')
option('plugin_uefi', type : 'boolean', value : true, description : 'enable UEFI support')
option('plugin_nvme', type : 'boolean', value : true, description : 'enable NVMe support')
option('plugin_modem_manager', type : 'boolean', value : false, description : 'enable ModemManager support')
option('plugin_flashrom', type : 'boolean', value : false, description : 'enable libflashrom support')
option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
option('systemdunitdir', type: 'string', value: '', description: 'Directory for systemd units')
option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
option('efi-cc', type : 'string', value : 'gcc', description : 'the compiler to use for EFI modules')
option('efi-ld', type : 'string', value : 'ld', description : 'the linker to use for EFI modules')
option('efi-objcopy', type : 'string', value : 'objcopy', description : 'the objcopy utility to use for EFI modules')
option('efi-libdir', type : 'string', description : 'path to the EFI lib directory')
option('efi-ldsdir', type : 'string', description : 'path to the EFI lds directory')
option('efi-includedir', type : 'string', value : '/usr/include/efi', description : 'path to the EFI header directory')
option('efi_os_dir', type: 'string', description : 'the hardcoded name of OS directory in ESP, e.g. fedora')
option('efi_sbat_fwupd_generation', type : 'integer', value : 1, description : 'SBAT fwupd generation')
option('efi_sbat_distro_id', type : 'string', value : '', description : 'SBAT distribution ID, e.g. fedora')
option('efi_sbat_distro_summary', type : 'string', value : '', description : 'SBAT distribution summary, e.g. Fedora')
option('efi_sbat_distro_pkgname', type : 'string', value : '', description : 'SBAT distribution package name, e.g. fwupd')
option('efi_sbat_distro_version', type : 'string', value : '', description : 'SBAT distribution version, e.g. fwupd-1.5.6.fc33')
option('efi_sbat_distro_url', type : 'string', value : '', description : 'SBAT distribution URL, e.g. https://src.fedoraproject.org/rpms/fwupd')

=== debian/changelog ===
fwupd (1.2.14-0~18.04.3) bionic; urgency=medium

  * Do not submit fwupd tarballs for signing (LP: #1955386).
    We still build and install the unsigned binaries so that if you do not
    have fwupd-signed installed (which is not possible on i386 and armhf
    anymore) your fwupd continues to function (on insecure boot, as before).
  * Remove -signed-template helpers, they are owned by fwupd-efi now

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 23 May 2023 17:46:42 +0200

fwupd (1.2.14-0~18.04.2) bionic; urgency=medium

  * debian/rules: catch up to generate sbat section.

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Tue, 31 Aug 2021 15:58:09 +0800

fwupd (1.2.14-0~18.04.1) bionic; urgency=medium

  * New upstream version (1.2.14) (LP: #1884788)
  * Bug fixes:
    - Fixes crashes on fwupdaa64.efi on startup (LP: #1858590)
    - Check version was updated by checking version
    - Correctly import PKCS-7 remote metadata
    - Decrease minimum battery requirement to 10%
    - Disable the battery percentage checks if UPower is unavailable
    - Do not do semver conversion in fu_common_vercmp()
    - Fix the DeviceID set by GetDetails
    - Force the synaptics-prometheus minor version from 0x02 to 0x01
    - Prevent Dell updates to occur via synaptics-mst
    - Read all releases and convert versions when comparing
    - Use the correct timeout for unifying IO channel writes
    - Validate that gpgme_op_verify_result() returned at least one signature
    - Avoid checking for bolt support when not required
    - Correct HWID support in wacom-raw
    - Fix offset of vendor id of hidraw devices
    - Make loading vendor/product/serial strings non-fatal
    - Only check the vendor ID if the device has one set
    - Use more systemd directives for directories
    - Actually write the new device path if different than before
    - Add a SynapticsMSTBoardID for a few Lenovo docks
    - Add the counterpart GUID for the DW5821e
    - Be more accepting when trying to recover a failed database migration
    - Do not ask the user to upload a report if ReportURI is not set
    - Do not segfault when trying to quit the downgrade selection
    - Fix a crash when stopping the fwupd service
    - Never show AppStream markup on the console
    - Relax the certificate time checks in the self tests for the legacy certificate
    - Reload metadata store when configuration changes
    - Remove replug flag after the device comes back from reboot
    - Update device_modified in sql database during updates
    - Work properly with ICL thunderbolt controller
  * New features:
    - Add support for tpm2-tools 4.X
    - Allow specifying a firmware GUID to check any version exists
    - Add SBAT region support (LP: #1921539)
  * Don't cleanup /var/cache/fwupdate anymore
  * Drop upstreamed patches:
    - 0001-Relax-the-certificate-time-checks-in-the-self-tests-.patch
    - 0001-trivial-libfwupd-skip-tests-if-machine-id-is-empty-t.patch
    - 0001-Allows-confined-snaps-to-activate-fwupd-via-D-Bus.patch
    - 0001-Only-check-the-vendor-ID-if-the-device-has-one-set.patch
    - 0001-efi-use-a-wildcard-section-copy-for-final-EFI-genera.patch
    - CVE-2020-10759.patch
  * Remaining changes:
    - meson-0.45-bc.patch: Fix build with meson 0.45
    - Drop added Recommends: on bolt which is not in flavor seeds and adds a
      new service.
  * Backport a patch from upstream 1_2_X branch to fix SBAT character.
  * Backport a patch from upstream 1_2_X branch to fix vendor-id requirement
    error on Dell WD19 (LP: #1921544)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 26 Mar 2021 13:38:20 -0500

=== debian/control ===
Source: fwupd
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>,
           Daniel Jared Dominguez <jared.dominguez@dell.com>,
           Matthias Klumpp <mak@debian.org>,
           Mario Limonciello <mario.limonciello@dell.com>
Build-Depends:
	bash-completion,
	bubblewrap,
	debhelper (>= 11),
	dh-strip-nondeterminism,
	fontconfig,
	fonts-noto,
	gcab,
	gettext (>= 0.19.8.1),
	gir1.2-pango-1.0,
	gnu-efi [amd64 arm64 armhf i386],
	gnutls-bin,
	gnutls-dev,
	gobject-introspection,
	gtk-doc-tools,
	help2man,
	libarchive-dev,
	libcairo-dev,
	libcairo-gobject2,
	libefiboot-dev [amd64 arm64 armhf i386],
	libefivar-dev [amd64 arm64 armhf i386],
	libelf-dev,
	libfreetype6-dev,
	libgcab-dev,
	libgirepository1.0-dev,
	libglib2.0-dev (>= 2.45.8),
	libgpgme11-dev,
	libgudev-1.0-dev,
	libgusb-dev (>= 0.2.9),
	libjson-glib-dev (>= 1.1.1),
	libmm-glib-dev,
	libpolkit-gobject-1-dev,
	libqmi-glib-dev,
	libsmbios-dev [i386 amd64],
	libsoup2.4-dev,
	libsqlite3-dev,
	libtool-bin,
	libxmlb-dev (>= 0.1.5),
	locales,
	meson,
	mingw-w64-tools,
	pkg-config,
	policykit-1 (>> 0.105-14),
	python3-gi-cairo,
	python3-pil,
	python3-requests,
	shared-mime-info,
	systemd (>= 231),
	udev,
	umockdev,
	valac,
	valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
Standards-Version: 4.3.0
Section: admin
Homepage: https://github.com/hughsie/fwupd
Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
Vcs-Browser: https://salsa.debian.org/efi-team/fwupd

Package: libfwupd2
Section: libs
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Firmware update daemon library
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/hughsie/fwupd> for details
 .
 This package provides the library used by the daemon.

Package: fwupd
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         shared-mime-info
Recommends: python3,
	    fwupd-signed
Suggests: bolt,
	  tpm2-tools,
	  tpm2-abrmd,
Breaks: gir1.2-dfu-1.0 (<< 0.9.7-1),
	libdfu1 (<< 0.9.7-1),
	libdfu-dev (<< 0.9.7-1)
Replaces: gir1.2-dfu-1.0 (<< 0.9.7-1),
	  libdfu1 (<< 0.9.7-1),
	  libdfu-dev (<< 0.9.7-1)
Multi-Arch: foreign
Description: Firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/hughsie/fwupd> for details

Package: fwupd-tests
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ca-certificates,
         dbus-x11,
         fwupd,
         gnome-desktop-testing,
         policykit-1,
         python3,
         python3-gi,
         python3-requests,
Breaks: fwupd (<< 0.9.4-1)
Replaces: fwupd (<< 0.9.4-1)
Multi-Arch: foreign
Description: Test suite for firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/hughsie/fwupd> for details
 .
 This package provides a set of installed tests that can be run to validate
 the daemon in a continuous integration system.

Package: fwupd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Firmware update daemon documentation (HTML format)
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/hughsie/fwupd> for details
 .
 This package provides development documentation for creating a package that
 uses fwupd.

Package: libfwupd-dev
Architecture: linux-any
Multi-Arch: same
Depends: libfwupd2 (= ${binary:Version}),
         gir1.2-fwupd-2.0 (= ${binary:Version}),
         ${misc:Depends}
Breaks: fwupd-dev (<< 0.5.4-2~)
Replaces: fwupd-dev (<< 0.5.4-2~)
Section: libdevel
Description: development files for libfwupd
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/hughsie/fwupd> for details
 .
 This package provides the development files for libfwupd

Package: gir1.2-fwupd-2.0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Section: introspection
Description: GObject introspection data for libfwupd
 This package provides the introspection data for libfwupd.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

#GPGME needs this for proper building on 32 bit archs
ifeq "$(DEB_HOST_ARCH_BITS)" "32"
	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
endif

CONFARGS =

ifneq ($(CI),)
	CONFARGS += --werror --wrap-mode=default
endif

SB_STYLE := debian
deb_version := $(shell dpkg-parsechangelog --show-field Version)

ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	SB_STYLE := ubuntu
	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
	CONFARGS += -Dplugin_flashrom=false
	CONFARGS += -Defi_sbat_distro_id=ubuntu
	CONFARGS += -Defi_sbat_distro_summary=Ubuntu
	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
	CONFARGS += -Defi_sbat_distro_url="https://launchpad.net/ubuntu/+source/fwupd"
else
	TMPLDIR  := debian/fwupd-$(DEB_HOST_ARCH)-signed-template/usr/share/code-signing/fwupd-$(DEB_HOST_ARCH)-signed-template
	ifneq ($(DEB_HOST_ARCH_CPU),ia64)
		CONFARGS += -Dplugin_flashrom=true
	else
		CONFARGS += -Dplugin_flashrom=false
	endif
	CONFARGS += -Defi_sbat_distro_id=debian
	CONFARGS += -Defi_sbat_distro_summary=Debian
	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
	CONFARGS += -Defi_sbat_distro_url="https://tracker.debian.org/pkg/fwupd"
endif

ifeq (yes,$(shell pkg-config --exists libsmbios_c && echo yes))
	CONFARGS += -Dplugin_dell=true
else
	CONFARGS += -Dplugin_dell=false
endif

ifeq (yes,$(shell pkg-config --exists efivar && echo yes))
	CONFARGS += -Dplugin_uefi=true -Dplugin_redfish=true -Dplugin_nvme=true
else
	CONFARGS += -Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false
endif

CONFARGS += -Dplugin_dummy=true -Dgtkdoc=true --libexecdir=/usr/lib

%:
	dh $@ --with gir

override_dh_auto_clean:
	rm -fr debian/build
ifeq (ubuntu,$(SB_STYLE))
	rm -rf debian/fwupd-images
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFARGS)

override_dh_install:
	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
	sed -i 's,wheel,sudo,' ./debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
	dh_install
	#install the EFI binaries if needed
	if [ -d debian/tmp/usr/lib/fwupd/efi/ ]; then \
		dh_install -pfwupd usr/lib/fwupd/efi ;\
		dh_install -pfwupd usr/lib/fwupd/fwupdate; \
	fi
	#if build with meson subproject in CI need to install this too
	if [ ! -z "$$CI" ] && [ -f debian/tmp/usr/lib/xb-tool ]; then \
		dh_install -pfwupd usr/lib/xb-tool ;\
	fi
	if [ ! -z "$$CI" ] && [ -f debian/tmp/usr/sbin/flashrom ]; then \
		dh_install -pfwupd usr/sbin/flashrom ;\
	fi
	dh_missing -a --fail-missing

	#this is placed in fwupd-tests
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_test.so
	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf

ifeq (debian,$(SB_STYLE))
	# Generate the template source for the Debian signing service to use
	mkdir -p $(TMPLDIR)/source-template/debian
	cp -a debian/signing-template/* $(TMPLDIR)/source-template/debian
	cp debian/README.Debian $(TMPLDIR)/source-template/debian
	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNARCH,$(DEB_HOST_ARCH),"
	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNVERSION,$(deb_version),"
	for file in $$(find $(TMPLDIR)/source-template/debian -type f -name *SIGNARCH*); do file1=$$(echo $$file | sed "s,SIGNARCH,$(DEB_HOST_ARCH),"); mv -v $$file $$file1; done
	install -m 0755 debian/fwupd.postinst $(TMPLDIR)/source-template/debian/fwupd-$(DEB_HOST_ARCH)-signed.postinst
	install -m 0755 debian/fwupd.postrm $(TMPLDIR)/source-template/debian/fwupd-$(DEB_HOST_ARCH)-signed.postrm
	./debian/gen_signing_changelog $(TMPLDIR)/source-template/debian fwupd $(DEB_HOST_ARCH)
	./debian/gen_signing_json $(TMPLDIR) fwupd ${DEB_HOST_ARCH}
endif

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xfirmware-example.xml.gz

override_dh_auto_test:
	if [ -x /usr/bin/valgrind ] ; then \
		dh_auto_test; \
	fi

override_dh_shlibdeps:
	dh_shlibdeps $$DHSLIBS

=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fwupd-$1\.tar\.gz/ \
https://github.com/hughsie/fwupd/tags .*/v?(\d\S*)\.tar\.gz

## fwupd 1.3.6

=== debian/changelog ===
fwupd (1.3.6-1) unstable; urgency=medium

  * New upstream version (1.3.6)
    - Fixes shutdown failed with exit 2 (Fixes: #947205)
    - Fixes motd issue, requires newer systemd though as well (Fixes: #943343)
  * Drop all patches from previous upload, now upstream.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 30 Dec 2019 17:23:21 -0600

fwupd (1.3.5-1) unstable; urgency=medium

  * New upstream version (1.3.5)
  * Introduce new binary packages for new library libfwupdplugin,
    allowing out of tree plugin builds.
  * trivial: debian: remove obj-* built files to fix back to back builds
  * trivial: ci: debian: enable verbose daemon logging for failure analysis
  * Backport some patches to improve autopkgtest debugging

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 01 Dec 2019 07:22:47 -0600

fwupd (1.3.4-1) unstable; urgency=medium

  * New upstream version (1.3.4)
  * d/c: Only include TSS dependencies on architectures building EFI plugin.

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 22 Nov 2019 10:14:13 -0600

fwupd (1.3.3-3) unstable; urgency=medium

  * Backport a patch to allow confined snaps to activate fwupd

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 12 Nov 2019 12:41:57 -0600

fwupd (1.3.3-2) unstable; urgency=medium

  * backport a patch to fix fastboot plugin on DW5821e
  * backport a patch to only use mingw-w64-tools in archs with EFI

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 12 Nov 2019 12:41:55 -0600

fwupd (1.3.3-1) unstable; urgency=medium

  * New upstream version (1.3.3)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 01 Nov 2019 12:34:24 -0500

fwupd (1.3.2-5) unstable; urgency=medium

  * Backport patch to skip transient self test failure in polling

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 22 Oct 2019 10:05:24 -0500

fwupd (1.3.2-4) unstable; urgency=medium

  * Disable fwupd-refresh.service by default (Closes: #942630)

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 20 Oct 2019 17:14:08 -0500

fwupd (1.3.2-3) unstable; urgency=medium

  * backport patch for fwupd-refresh: don't try to enable LVFS if disabled
    (Closes: #942568)
  * fwupd-refresh: backport a series of patches that essentially turns off motd
    refresh unless running on a very new systemd (v243) due to systemd v242 bug.
    (Closes: #942567)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 18 Oct 2019 09:50:55 -0500

fwupd (1.3.2-2) unstable; urgency=medium

  * cleanup symlink from broken 1.3.2-1 if fwupd-refresh was started
  * backport path for fwupd-refresh: fix a clash with fwupd.service (Closes: #941360)
    (Closes: #941661)
  * debian/control*: Update for fwupdate transition

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 03 Oct 2019 15:52:23 -0500

fwupd (1.3.2-1) unstable; urgency=medium

  * New upstream version (1.3.2)
    - Allow not prompting for metadata every time (Closes: #941048)
    - Avoid resetting display every login with Dell docks (LP: #1793965)
    - Provides a network service file (Closes: #921820)
    - Description is clearer (Closes: #911505)
    - Wacom failures don't occur (Closes: #915794)
    - Xbox360 controllers keep working (Closes: #920012)
  * Uses libtss2-dev at build time and switches to TSS for runtime rather than
    tpm2-tools/tpm2-abrmd.

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 26 Sep 2019 09:16:02 -0500

fwupd (1.2.10-2) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add Built-Using for the fwupd-*-signed packages. Closes: #932757

 -- Steve McIntyre <93sam@debian.org>  Mon, 22 Jul 2019 17:38:23 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: fwupd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
+Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Daniel Jared Dominguez <jared.dominguez@dell.com>,
            Matthias Klumpp <mak@debian.org>,
@@ -9,7 +8,7 @@
 Build-Depends:
 	bash-completion,
 	bubblewrap,
-	debhelper (>= 11),
+	debhelper (>= 12),
 	dh-strip-nondeterminism,
 	fontconfig,
 	fonts-noto,
@@ -43,10 +42,11 @@
 	libsoup2.4-dev,
 	libsqlite3-dev,
 	libtool-bin,
-	libxmlb-dev (>= 0.1.5),
+	libtss2-dev,
+	libxmlb-dev (>= 0.1.13),
 	locales,
 	meson,
-	mingw-w64-tools,
+	mingw-w64-tools [amd64 arm64 armhf i386],
 	pkg-config,
 	policykit-1 (>> 0.105-14),
 	python3-gi-cairo,
@@ -58,12 +58,27 @@
 	umockdev,
 	valac,
 	valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Section: admin
-Homepage: https://github.com/hughsie/fwupd
+Homepage: https://github.com/fwupd/fwupd
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd
 
+Package: libfwupdplugin1
+Section: libs
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Multi-Arch: same
+Description: Firmware update daemon plugin library
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Firmware updates are supported for a variety of technologies.
+ See <https://github.com/fwupd/fwupd> for details
+ .
+ This package provides the library for the interface between daemon and plugins.
+
 Package: libfwupd2
 Section: libs
 Architecture: linux-any
@@ -75,7 +90,7 @@
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
  Firmware updates are supported for a variety of technologies.
- See <https://github.com/hughsie/fwupd> for details
+ See <https://github.com/fwupd/fwupd> for details
  .
  This package provides the library used by the daemon.
 
@@ -85,23 +100,27 @@
          ${shlibs:Depends},
          shared-mime-info
 Recommends: python3,
+	    bolt,
 	    fwupd-signed
-Suggests: bolt,
-	  tpm2-tools,
-	  tpm2-abrmd,
+Provides: fwupdate
+Conflicts: fwupdate-amd64-signed,
+	   fwupdate-i386-signed,
+	   fwupdate-arm64-signed,
+	   fwupdate-armhf-signed
 Breaks: gir1.2-dfu-1.0 (<< 0.9.7-1),
 	libdfu1 (<< 0.9.7-1),
 	libdfu-dev (<< 0.9.7-1)
 Replaces: gir1.2-dfu-1.0 (<< 0.9.7-1),
 	  libdfu1 (<< 0.9.7-1),
-	  libdfu-dev (<< 0.9.7-1)
+	  libdfu-dev (<< 0.9.7-1),
+	  fwupdate (<< 12-7)
 Multi-Arch: foreign
 Description: Firmware update daemon
  fwupd is a daemon to allow session software to update device firmware.
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
  Firmware updates are supported for a variety of technologies.
- See <https://github.com/hughsie/fwupd> for details
+ See <https://github.com/fwupd/fwupd> for details
 
 Package: fwupd-tests
 Architecture: linux-any
@@ -123,7 +142,7 @@
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
  Firmware updates are supported for a variety of technologies.
- See <https://github.com/hughsie/fwupd> for details
+ See <https://github.com/fwupd/fwupd> for details
  .
  This package provides a set of installed tests that can be run to validate
  the daemon in a continuous integration system.
@@ -138,7 +157,7 @@
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
  Firmware updates are supported for a variety of technologies.
- See <https://github.com/hughsie/fwupd> for details
+ See <https://github.com/fwupd/fwupd> for details
  .
  This package provides development documentation for creating a package that
  uses fwupd.
@@ -157,7 +176,7 @@
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
  Firmware updates are supported for a variety of technologies.
- See <https://github.com/hughsie/fwupd> for details
+ See <https://github.com/fwupd/fwupd> for details
  .
  This package provides the development files for libfwupd
 
@@ -172,3 +191,59 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
+
+Package: libfwupdplugin-dev
+Architecture: linux-any
+Multi-Arch: same
+Depends: libfwupdplugin1 (= ${binary:Version}),
+         gir1.2-fwupdplugin-1.0 (= ${binary:Version}),
+         ${misc:Depends}
+Section: libdevel
+Description: development files for libfwupdplugin
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Firmware updates are supported for a variety of technologies.
+ See <https://github.com/fwupd/fwupd> for details
+ .
+ This package provides the development files for libfwupdplugin
+
+Package: gir1.2-fwupdplugin-1.0
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${gir:Depends}
+Section: introspection
+Description: GObject introspection data for libfwupdplugin
+ This package provides the introspection data for libfwupdplugin.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
+
+Package: fwupd-amd64-signed-template
+Architecture: amd64
+Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
+
+Package: fwupd-i386-signed-template
+Architecture: i386
+Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
+
+Package: fwupd-armhf-signed-template
+Architecture: armhf
+Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
+
+Package: fwupd-arm64-signed-template
+Architecture: arm64
+Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.

=== debian/rules ===
--- 
+++ 
@@ -10,63 +10,50 @@
 	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
 endif
 
-CONFARGS =
+ifneq ($(CI),)
+	export CI=--werror --wrap-mode=default
+endif
 
-ifneq ($(CI),)
-	CONFARGS += --werror --wrap-mode=default
-endif
+regenerate_control:
+	OS=debian-x86_64 ./contrib/ci/generate_debian.py
 
 SB_STYLE := debian
 deb_version := $(shell dpkg-parsechangelog --show-field Version)
-
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 	SB_STYLE := ubuntu
 	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
-	CONFARGS += -Dplugin_flashrom=false
-	CONFARGS += -Defi_sbat_distro_id=ubuntu
-	CONFARGS += -Defi_sbat_distro_summary=Ubuntu
-	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
-	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
-	CONFARGS += -Defi_sbat_distro_url="https://launchpad.net/ubuntu/+source/fwupd"
 else
 	TMPLDIR  := debian/fwupd-$(DEB_HOST_ARCH)-signed-template/usr/share/code-signing/fwupd-$(DEB_HOST_ARCH)-signed-template
-	ifneq ($(DEB_HOST_ARCH_CPU),ia64)
-		CONFARGS += -Dplugin_flashrom=true
-	else
-		CONFARGS += -Dplugin_flashrom=false
-	endif
-	CONFARGS += -Defi_sbat_distro_id=debian
-	CONFARGS += -Defi_sbat_distro_summary=Debian
-	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
-	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
-	CONFARGS += -Defi_sbat_distro_url="https://tracker.debian.org/pkg/fwupd"
 endif
 
-ifeq (yes,$(shell pkg-config --exists libsmbios_c && echo yes))
-	CONFARGS += -Dplugin_dell=true
-else
-	CONFARGS += -Dplugin_dell=false
-endif
-
-ifeq (yes,$(shell pkg-config --exists efivar && echo yes))
-	CONFARGS += -Dplugin_uefi=true -Dplugin_redfish=true -Dplugin_nvme=true
-else
-	CONFARGS += -Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false
-endif
-
-CONFARGS += -Dplugin_dummy=true -Dgtkdoc=true --libexecdir=/usr/lib
-
 %:
+	[ -f debian/control ] || debian/rules regenerate_control
 	dh $@ --with gir
 
-override_dh_auto_clean:
+override_dh_auto_clean: regenerate_control
+	rm -fr obj-*
 	rm -fr debian/build
 ifeq (ubuntu,$(SB_STYLE))
 	rm -rf debian/fwupd-images
 endif
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CONFARGS)
+	if pkg-config --exists libsmbios_c; then \
+		export DELL="-Dplugin_dell=true"; \
+	else \
+		export DELL="-Dplugin_dell=false"; \
+	fi; \
+	if pkg-config --exists efivar; then \
+		export UEFI="-Dplugin_uefi=true -Dplugin_redfish=true -Dplugin_nvme=true"; \
+	else \
+		export UEFI="-Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false"; \
+	fi; \
+	if [ ! -z "$$CI" ]; then \
+		export FLASHROM="-Dplugin_flashrom=true"; \
+	else \
+		export FLASHROM="-Dplugin_flashrom=false"; \
+	fi; \
+	dh_auto_configure -- $$UEFI $$DELL $$FLASHROM $$CI -Dplugin_dummy=true -Dgtkdoc=true --libexecdir=/usr/lib
 
 override_dh_install:
 	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
@@ -83,11 +70,16 @@
 	fi
 	if [ ! -z "$$CI" ] && [ -f debian/tmp/usr/sbin/flashrom ]; then \
 		dh_install -pfwupd usr/sbin/flashrom ;\
+		dh_install -plibfwupd2 usr/lib/*/libflashrom.so.*; \
+		dh_install -plibfwupd-dev usr/include/libflashrom.h; \
+		dh_install -plibfwupd-dev usr/lib/*/libflashrom.so; \
+		dh_install -plibfwupd-dev usr/lib/*/pkgconfig/flashrom.pc; \
 	fi
 	dh_missing -a --fail-missing
 
 	#this is placed in fwupd-tests
 	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_test.so
+	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_invalid.so
 	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf
 
 ifeq (debian,$(SB_STYLE))
@@ -112,5 +104,17 @@
 		dh_auto_test; \
 	fi
 
+override_dh_builddeb:
+	dh_builddeb
+ifeq (ubuntu,$(SB_STYLE))
+	if [ -d debian/tmp/usr/lib/fwupd/efi/ ]; then \
+		mkdir -p debian/fwupd-images/$(deb_version) ;\
+		cp debian/tmp/usr/lib/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version) ;\
+		echo $(deb_version) > debian/fwupd-images/$(deb_version)/version ;\
+		tar -C debian/fwupd-images -czvf ../$(tar_name) . ;\
+		dpkg-distaddfile $(tar_name) raw-uefi - ;\
+	fi
+endif
+
 override_dh_shlibdeps:
 	dh_shlibdeps $$DHSLIBS

## fwupd 1.3.9

=== meson_options.txt ===
option('build', type : 'combo', choices : ['all', 'standalone', 'library'], value : 'all', description : 'build type')
option('agent', type : 'boolean', value : true, description : 'enable the fwupd agent')
option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
option('firmware-packager', type : 'boolean', value : true, description : 'enable firmware-packager installation')
option('gpg', type : 'boolean', value : true, description : 'enable the GPG verification support')
option('gtkdoc', type : 'boolean', value : false, description : 'enable developer documentation')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('lvfs', type : 'boolean', value : true, description : 'enable LVFS remotes')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('pkcs7', type : 'boolean', value : true, description : 'enable the PKCS7 verification support')
option('plugin_altos', type : 'boolean', value : true, description : 'enable altos support')
option('plugin_amt', type : 'boolean', value : true, description : 'enable Intel AMT support')
option('plugin_dell', type : 'boolean', value : true, description : 'enable Dell-specific support')
option('plugin_dummy', type : 'boolean', value : false, description : 'enable the dummy device')
option('plugin_emmc', type : 'boolean', value : true, description : 'enable eMMC support')
option('plugin_synaptics', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
option('plugin_thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
option('plugin_redfish', type : 'boolean', value : true, description : 'enable Redfish support')
option('plugin_tpm', type : 'boolean', value : true, description : 'enable TPM support')
option('plugin_uefi', type : 'boolean', value : true, description : 'enable UEFI support')
option('plugin_nvme', type : 'boolean', value : true, description : 'enable NVMe support')
option('plugin_modem_manager', type : 'boolean', value : false, description : 'enable ModemManager support')
option('plugin_flashrom', type : 'boolean', value : false, description : 'enable libflashrom support')
option('plugin_coreboot', type : 'boolean', value : true, description : 'enable coreboot support')
option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
option('systemdunitdir', type: 'string', value: '', description: 'Directory for systemd units')
option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
option('efi-cc', type : 'string', value : 'gcc', description : 'the compiler to use for EFI modules')
option('efi-ld', type : 'string', value : 'ld', description : 'the linker to use for EFI modules')
option('efi-libdir', type : 'string', description : 'path to the EFI lib directory')
option('efi-ldsdir', type : 'string', description : 'path to the EFI lds directory')
option('efi-includedir', type : 'string', value : '/usr/include/efi', description : 'path to the EFI header directory')
option('efi_os_dir', type: 'string', description : 'the name of OS directory in ESP')

=== contrib/snap/fix-bash-completion/Makefile ===
build:
	true
install:
	#fixes up fwupdtool -> fwupd.fwupdtool
	sed -i "s,\(complete -F _fwupd[a-z]*\) \(fwupd.*\),\1 fwupd.\2,; 		\
		s,\(command.*\)\(fwupdtool\),\1fwupd.\2," 				\
			${SNAPCRAFT_STAGE}/share/bash-completion/completions/*
	# fixes up dbus service for classic snap
	sed -i 's!SystemdService=\(.*\)!SystemdService=snap.fwupd.fwupd.service!' \
		${SNAPCRAFT_STAGE}/share/dbus-1/system-services/org.freedesktop.fwupd.service

=== debian/changelog ===
fwupd (1.3.9-4) unstable; urgency=medium

  * Backport a handful of patches from 1_3_X branch:
    - Thunderbolt: create correct GUID for dual controller devices
    - CSR: Fix parsing
    - Motd: Fix refresh target to be network.target
    - Logitech: Fix error in logs on unsigned devices and set protocol for
      signed devices properly.
    - Fix a FTBFS on empty /etc/machine-id in some buildd environments.
      (LP: #1870051)

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 01 Apr 2020 13:43:21 -0500

fwupd (1.3.9-3) unstable; urgency=medium

  * Backport a patch from upstream to not use shim on non-secure boot installs.
    - Helps avoid hitting a shim regression.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 23 Mar 2020 09:39:16 -0500

fwupd (1.3.9-2) unstable; urgency=medium

  * Backport a patch to correct an error with shutdown script.
  * Enable flashrom plugin for Debian.
    - This is turned off for Ubuntu for now since flashrom is in universe.

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 05 Mar 2020 20:03:03 -0600

fwupd (1.3.9-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream stable release (1.3.9)
    - Moves some binaries from usr/libexec into usr/bin
    - Adds fish completion script.
    - Inhibit all power management actions using logind when updating
  * Bug fixes:
    - Always check for PLAIN when doing vercmp() operations
    - Always return AppStream markup for remote agreements
    - Apply UEFI capsule update even with single valid capsule
    - Check the device protocol before de-duping devices
    - Copy the version and format from donor device in get-details
    - Correctly append the release to devices in `fwupdtool get-details`
    - Decrease minimum battery requirement to 10%
    - Discard the reason upgrades aren't available
    - Do not fail loading in /etc/machine-id is not available
    - Fix a critical warning when installing some firmware
    - For the `get-details` command make sure to always show devices
    - Set the MSP430 version format to pair
    - Switch off the ATA verbose logging by default
    - Use unknown for version format by default on get-details
  * Drop all existing patches.

  [ Laurent Bigonville ]
  * debian/control.in: Add libglib2.0-doc to Build-Depends-Indep
  * Move the daemons from /usr/lib/fwupd to /usr/libexec/fwupd
  * debian/*.symbols: Add the Build-Depends-Package field

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 04 Mar 2020 10:32:33 -0600

fwupd (1.3.8-1) unstable; urgency=medium

  * New upstream version (1.3.8)
  * Drop all existing patches
  * Backport patches for:
   - battery level threshold adjustment (30%->10%)
   - A logic error with report uploading
  * Update standards version

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 14 Feb 2020 09:41:27 -0600

fwupd (1.3.7-3) unstable; urgency=medium

  * Backport some patches from upstream.
    - Revert a commit to fix UEFI updates hanging on many Dell systems.
    - Adjust motd output to contain more whitespace

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 10 Feb 2020 12:55:12 -0600

fwupd (1.3.7-2) unstable; urgency=medium

  * Backport a patch to fix fwupd-refresh.service (Fixes: #950407, Fixes: #950408)

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 02 Feb 2020 08:41:33 -0600

fwupd (1.3.7-1) unstable; urgency=medium

  * New upstream version (1.3.7)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 31 Jan 2020 07:52:16 -0600

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	libefiboot-dev [amd64 arm64 armhf i386],
 	libefivar-dev [amd64 arm64 armhf i386],
 	libelf-dev,
+	libflashrom-dev,
 	libfreetype6-dev,
 	libgcab-dev,
 	libgirepository1.0-dev,
@@ -58,7 +59,8 @@
 	umockdev,
 	valac,
 	valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
-Standards-Version: 4.4.1
+Build-Depends-Indep: libglib2.0-doc <!nodoc>
+Standards-Version: 4.5.0
 Section: admin
 Homepage: https://github.com/fwupd/fwupd
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,10 @@
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 	SB_STYLE := ubuntu
 	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
+	export FLASHROM=-Dplugin_flashrom=false
 else
 	TMPLDIR  := debian/fwupd-$(DEB_HOST_ARCH)-signed-template/usr/share/code-signing/fwupd-$(DEB_HOST_ARCH)-signed-template
+	export FLASHROM=-Dplugin_flashrom=true
 endif
 
 %:
@@ -48,32 +50,20 @@
 	else \
 		export UEFI="-Dplugin_uefi=false -Dplugin_redfish=false -Dplugin_nvme=false"; \
 	fi; \
-	if [ ! -z "$$CI" ]; then \
-		export FLASHROM="-Dplugin_flashrom=true"; \
-	else \
-		export FLASHROM="-Dplugin_flashrom=false"; \
-	fi; \
-	dh_auto_configure -- $$UEFI $$DELL $$FLASHROM $$CI -Dplugin_dummy=true -Dgtkdoc=true --libexecdir=/usr/lib
+	dh_auto_configure -- $$UEFI $$DELL $$FLASHROM $$CI -Dplugin_dummy=true -Dgtkdoc=true
 
 override_dh_install:
 	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
 	sed -i 's,wheel,sudo,' ./debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
 	dh_install
 	#install the EFI binaries if needed
-	if [ -d debian/tmp/usr/lib/fwupd/efi/ ]; then \
-		dh_install -pfwupd usr/lib/fwupd/efi ;\
-		dh_install -pfwupd usr/lib/fwupd/fwupdate; \
+	if [ -d debian/tmp/usr/libexec/fwupd/efi/ ]; then \
+		dh_install -pfwupd usr/libexec/fwupd/efi ;\
+		dh_install -pfwupd usr/bin/fwupdate; \
 	fi
 	#if build with meson subproject in CI need to install this too
 	if [ ! -z "$$CI" ] && [ -f debian/tmp/usr/lib/xb-tool ]; then \
 		dh_install -pfwupd usr/lib/xb-tool ;\
-	fi
-	if [ ! -z "$$CI" ] && [ -f debian/tmp/usr/sbin/flashrom ]; then \
-		dh_install -pfwupd usr/sbin/flashrom ;\
-		dh_install -plibfwupd2 usr/lib/*/libflashrom.so.*; \
-		dh_install -plibfwupd-dev usr/include/libflashrom.h; \
-		dh_install -plibfwupd-dev usr/lib/*/libflashrom.so; \
-		dh_install -plibfwupd-dev usr/lib/*/pkgconfig/flashrom.pc; \
 	fi
 	dh_missing -a --fail-missing
 
@@ -107,9 +97,9 @@
 override_dh_builddeb:
 	dh_builddeb
 ifeq (ubuntu,$(SB_STYLE))
-	if [ -d debian/tmp/usr/lib/fwupd/efi/ ]; then \
+	if [ -d debian/tmp/usr/libexec/fwupd/efi/ ]; then \
 		mkdir -p debian/fwupd-images/$(deb_version) ;\
-		cp debian/tmp/usr/lib/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version) ;\
+		cp debian/tmp/usr/libexec/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version) ;\
 		echo $(deb_version) > debian/fwupd-images/$(deb_version)/version ;\
 		tar -C debian/fwupd-images -czvf ../$(tar_name) . ;\
 		dpkg-distaddfile $(tar_name) raw-uefi - ;\

## fwupd 1.3.10

=== debian/changelog ===
fwupd (1.3.10-1~mx19) mx; urgency=medium

  * Backport for MX-19.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 22 Jun 2020 10:20:26 -0400

fwupd (1.3.10-1) unstable; urgency=medium

  * New upstream stable release:
    - Actually reload the DFU device after upgrade has completed
    - Capture the dock SKU in report metadata
    - Correctly set the Logitech device protocol
    - Do not use shim for non-secure boot configurations
    - Ensure that the DeviceID is set for child devices
    - Fix an error when detaching MSP430
    - Fix the DeviceID set by GetDetails
    - Force the prometheus minor version from 0x02 to 0x01 to fix updates
    - Parse the CSR firmware as a DFU file
    - Prevent dell-dock updates to occur via synaptics-mst plugin
    - Rather than hardcoding thunderbolt to PCI slot numbers, use domain in GUID
    - Remove a dock device from the whitelist that is never going to be updated
    - Validate that gpgme_op_verify_result() returned at least one signature
    - Wait for the cxaudio device to reboot after writing firmware
  * Drop following patches, now incorporated upstream:
    - Thunderbolt: create correct GUID for dual controller devices
    - CSR: Fix parsing
    - Motd: Fix refresh target to be network.target
    - Logitech: Fix error in logs on unsigned devices and set protocol for
      signed devices properly.
    - Fix a FTBFS on empty /etc/machine-id in some buildd environments.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 09 Jun 2020 09:44:53 -0500
